Package ch.qos.logback.core.status

# Class StatusBase

java.lang.Object
ch.qos.logback.core.status.StatusBase

All Implemented Interfaces:
  `Status`

Direct Known Subclasses:
  `ErrorStatus`, `InfoStatus`, `WarnStatus`

public abstract class StatusBase extends Object implements Status

## Field Summary

### Fields inherited from interface ch.qos.logback.core.status.Status

`ERROR, INFO, WARN`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(Status child)`
`boolean`
`equals(Object obj)`
`Long`
`getDate()`
`int`
`getEffectiveLevel()`
`int`
`getLevel()`
`String`
`getMessage()`
`Object`
`getOrigin()`
`Throwable`
`getThrowable()`
`boolean`
`hasChildren()`
`int`
`hashCode()`
`Iterator<Status>`
`iterator()`
`boolean`
`remove(Status statusToRemove)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Method Details

### add

public void add(Status child)

Specified by:
  `add` in interface `Status`

### hasChildren

public boolean hasChildren()

Specified by:
  `hasChildren` in interface `Status`

### iterator

public Iterator<Status> iterator()

Specified by:
  `iterator` in interface `Status`

### remove

public boolean remove(Status statusToRemove)

Specified by:
  `remove` in interface `Status`

### getLevel

public int getLevel()

Specified by:
  `getLevel` in interface `Status`

### getEffectiveLevel

public int getEffectiveLevel()

Specified by:
  `getEffectiveLevel` in interface `Status`

### getMessage

public String getMessage()

Specified by:
  `getMessage` in interface `Status`

### getOrigin

public Object getOrigin()

Specified by:
  `getOrigin` in interface `Status`

### getThrowable

public Throwable getThrowable()

Specified by:
  `getThrowable` in interface `Status`

### getDate

public Long getDate()

Specified by:
  `getDate` in interface `Status`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`